---

#! jobs/kernel-selftests-sgx.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_memory: 3G
kernel-selftests:
  group: sgx
job_origin: kernel-selftests-sgx.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-cfl-e1
tbox_group: lkp-cfl-e1
job_file: "/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-sgx-debian-12-x86_64-20240206.cgz-809216233555-20240429-28618-onbqq4-0.yaml"
id: 6a009887454d679d14db376317c845082173cf54
queuer_version: "/zday/lkp"

#! /db/releases/20240428214438/lkp-src/hosts/lkp-cfl-e1
model: Coffee Lake
nr_node: 1
nr_cpu: 16
memory: 32G
nr_hdd_partitions: 1
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part2"
swap_partitions: LABEL=SWAP
rootfs_partition: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part1"
brand: Intel(R) Xeon(R) E-2278G CPU @ 3.40GHz

#! /db/releases/20240428214438/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240428214438/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240428214438/lkp-src/include/queue/cyclic
commit: 8092162335554c8ef5e7f50eff68aa9cfbdbf865

#! /db/releases/20240428214438/lkp-src/include/testbox/lkp-cfl-e1
ucode: '0xfa'
need_kconfig_hw:
- PTP_1588_CLOCK: y
- IGB: y
- SATA_AHCI

#! /db/releases/20240428214438/lkp-src/include/kernel-selftests
need_kernel_version:
need_kconfig:
- BLOCK: y
- BTRFS_FS: m
- EFI: y
- EFIVAR_FS
- FTRACE: y
- IP_ADVANCED_ROUTER: y
- IP_MULTIPLE_TABLES: y
- RC_CORE
- RC_DECODERS: y
- RC_DEVICES: y
- RC_LOOPBACK: m
- RUNTIME_TESTING_MENU: y
- STAGING: y
- SYNC_FILE: y
- TEST_FIRMWARE
- TEST_KMOD: m
- TEST_LKM: m
- TEST_USER_COPY
- TUN: m
- XFS_FS: m
- OVERLAY_FS
- PERF_EVENTS: y
- SCHED_DEBUG: y
- SHMEM: y
- TMPFS_XATTR: y
- TMPFS: y
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-8.3-kselftests
enqueue_time: 2024-04-29 22:08:33.266693246 +08:00
_rt: "/result/kernel-selftests/sgx/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-13/8092162335554c8ef5e7f50eff68aa9cfbdbf865"
compiler: gcc-13
head_commit: 443cf7ea72049c87aecdf8ffb80ba269d643c33c
base_commit: e67572cd2204894179d89bd7b984072f19313b03
branch: internal-devel/devel-hourly-20240429-100246
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240429-161714"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/sgx/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-13/8092162335554c8ef5e7f50eff68aa9cfbdbf865/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/8092162335554c8ef5e7f50eff68aa9cfbdbf865/vmlinuz-6.9.0-rc4-00016-g809216233555
- branch=internal-devel/devel-hourly-20240429-100246
- job=/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-sgx-debian-12-x86_64-20240206.cgz-809216233555-20240429-28618-onbqq4-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kselftests
- commit=8092162335554c8ef5e7f50eff68aa9cfbdbf865
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/8092162335554c8ef5e7f50eff68aa9cfbdbf865/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/8092162335554c8ef5e7f50eff68aa9cfbdbf865/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/8092162335554c8ef5e7f50eff68aa9cfbdbf865/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20240423.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-c7864053-1_20240419.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240428214438/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-sgx-debian-12-x86_64-20240206.cgz-809216233555-20240429-28618-onbqq4-0.cgz"
last_kernel: 6.9.0-rc6-00570-g0657450370fb
acpi_rsdp: '0x000f0510'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/8092162335554c8ef5e7f50eff68aa9cfbdbf865/vmlinuz-6.9.0-rc4-00016-g809216233555"
result_root: "/result/kernel-selftests/sgx/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-13/8092162335554c8ef5e7f50eff68aa9cfbdbf865/0"

#! /cephfs/db/releases/20240429151013/lkp-src/include/site/inn
dequeue_time: 2024-04-29 22:35:27.716761850 +08:00
job_state: finished
loadavg: 0.87 0.60 0.25 1/264 1820
start_time: '1714401458'
end_time: '1714401465'
version: "/lkp/lkp/.src-20240429-161750:02d35d1fa24d:475dbe1f11fe"
